## org.apache.lucene.analysis
Class MockBytesAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.MockBytesAnalyzer

All Implemented Interfaces:
  Closeable

    public class MockBytesAnalyzer

extends Analyzer

Analyzer for testing that encodes terms as UTF-16 bytes.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

Constructor Summary
`MockBytesAnalyzer()`

Method Summary
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockBytesAnalyzer

    public MockBytesAnalyzer()

Method Detail

### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                              Reader reader)

  Specified by:
    `createComponents` in class `Analyzer`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.